> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a QR Code

> Fetch the details of a QR Code by Id.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
</div>

Use this endpoint to fetch the details of a QR Code.

<RequestExample>
  ```bash Curl theme={null}
  curl -u <YOUR_KEY_ID>:<YOUR_KEY_SECRET> \
  -X GET https://api.razorpay.com/v1/payments/qr_codes/qr_FuZIYx6rMbP6gs \
  ```

  ```java Java theme={null}
  RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");

  String qrCodeId = "qr_FuZIYx6rMbP6gs";

  QrCode qrcode = razorpay.qrCode.fetch(qrCodeId);
  ```

  ```php PHP theme={null}
  $api = new Api($key_id, $secret);
  $api->qrCode->fetch($qrCodeId)
  ```

  ```javascript Node.js theme={null}
  var instance = new Razorpay({ key_id: 'YOUR_KEY_ID', key_secret: 'YOUR_SECRET' })

  instance.qrCode.fetch(qrCodeId)
  ```

  ```python Python theme={null}
  import razorpay
  client = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))

  client.qrcode.fetch(qrCodeId)
  ```

  ```go Go theme={null}
  import ( razorpay "github.com/razorpay/razorpay-go" )
  client := razorpay.NewClient("YOUR_KEY_ID", "YOUR_SECRET")

  qrCodeId := "qr_FuZIYx6rMbP6gs"

  body, err := client.QrCode.fetch(qrCodeId)
  ```

  ```ruby Ruby theme={null}
  require "razorpay"
  Razorpay.setup('YOUR_KEY_ID', 'YOUR_SECRET')

  qrCodeId = "qr_FuZIYx6rMbP6gs"

  Razorpay::QrCode.fetch(qrCodeId)
  ```

  ```csharp .NET theme={null}
  RazorpayClient client = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");

  string qrCodeId = "qr_Z6t7VFTb9xHeOs";

  QrCode qrcode = client.QrCode.Fetch(qrCodeId);
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "id": "qr_HO2r1MDprYtWRT",
    "entity": "qr_code",
    "created_at": 1623915088,
    "name": "Store_1",
    "usage": "single_use",
    "type": "upi_qr",
    "image_url": "https://rzp.io/i/oCswTOcCo",
    "payment_amount": 300,
    "status": "active",
    "description": "For Store 1",
    "fixed_amount": true,
    "payments_amount_received": 0,
    "payments_count_received": 0,
    "notes": {
      "purpose": "Test UPI QR Code notes"
    },
    "customer_id": "cust_HKsR5se84c5LTO",
    "close_by": 1681615838,
    "closed_at": null,
    "close_reason": null,
    "tax_invoice": {
      "number": "INV001",
      "date": 1589994898,
      "customer_name": "Gaurav Kumar",
      "business_gstin": "06AABCU9605R1ZR",
      "gst_amount": 4000,
      "cess_amount": 0,
      "supply_type": "interstate"
    }
  }
  ```
</ResponseExample>

## Path Parameters

<ParamField path="id" type="string" required>
  The unique identifier of the QR Code.
</ParamField>

## Response Parameters

<ResponseField name="id" type="string">
  The unique identifier of the QR Code.
</ResponseField>

<ResponseField name="entity" type="string">
  Indicates the type of entity. Here, it is `qr_code`.
</ResponseField>

<ResponseField name="tax_invoice" type="json object">
  This block contains information about the invoices. If not provided, the transaction will default to non-GST compliant UPI flow.
</ResponseField>

<ResponseField name="number" type="string">
  This is the invoice number against which the payment is collected. If not provided, the transaction will default to non-GST compliant UPI flow.
</ResponseField>

<ResponseField name="date" type="integer">
  Timestamp, in Unix format, that indicates the issue date of the invoice. For example. `1589994898`. If not provided, it will default to the current date.
</ResponseField>

<ResponseField name="customer_name" type="string">
  Customer name on the invoice. If not provided, the transaction will default to non-GST compliant UPI flow.
</ResponseField>

<ResponseField name="gst_amount" type="integer">
  GST amount on the invoice in paise. If not provided, the transaction will default to the non-GST compliant UPI flow.
</ResponseField>

<ResponseField name="cess_amount" type="integer">
  CESS Amount on the invoice in paise. If not provided, the transaction will default to the non-GST compliant UPI flow.
</ResponseField>

<ResponseField name="supply_type" type="string">
  Indicates whether the transaction is interstate or intrastate. Possible values:

  * `interstate`
  * `intrastate`

  If not provided, the transaction will default to the non-GST compliant UPI flow.
</ResponseField>

<ResponseField name="business_gstin" type="string">
  The GSTIN mentioned on the invoice. For example, `06AABCU9603R1ZR`. If not passed, it will be picked up from the database.

  <Info>
    **Handy Tips**

    1. This parameter is only available for UPI QR Codes.<br />
    2. This is an optional parameter.<br />
    3. The business is responsible for the completeness and correctness of the data and not Razorpay.
  </Info>
</ResponseField>

<ResponseField name="type" type="string">
  The type of the QR Code. Possible values:

  * `upi_qr`: Create a QR Code that accepts only UPI payments.
</ResponseField>

<ResponseField name="image_url" type="string">
  The URL of the QR Code. A sample short URL looks like this `http://rzp.io/l6MS`. Click the link to download the code.
</ResponseField>

<ResponseField name="name" type="string">
  Label entered to identify the QR Code. For example, `Store Front Display`.
</ResponseField>

<ResponseField name="usage" type="string">
  Indicates if the QR Code should be allowed to accept single payment or multiple payments. Possible values:

  * `single_use`: QR Code will accept only one payment and then close automatically.
  * `multiple_use` (default): QR Code will accept multiple payments.
</ResponseField>

<ResponseField name="fixed_amount" type="boolean">
  Indicates if the QR should accept payments of specific amounts or any amount. Possible values:

  * `true`: QR Code accepts only a specific amount.
  * `false` (default): QR Code accepts any amount.
</ResponseField>

<ResponseField name="payment_amount" type="integer">
  The amount allowed for a transaction. If this is specified, then any transaction of an amount less than or more than this value is not allowed. For example, if this amount is set as `500000`, the customer cannot pay an amount less than or more than ₹5000.
</ResponseField>

<ResponseField name="status" type="string">
  Indicates the status of the QR Code. Possible values:

  * `active`
  * `closed`
</ResponseField>

<ResponseField name="description" type="string">
  A brief description about the QR Code.
</ResponseField>

<ResponseField name="payments_amount_received" type="integer">
  The total amount received on the QR Code. All captured payments are considered.
</ResponseField>

<ResponseField name="payments_count_received" type="integer">
  The total number of payments received on the QR Code. All captured payments are considered.
</ResponseField>

<ResponseField name="notes" type="object">
  Key-value pair that can be used to store additional information about the QR Code. Maximum 15 key-value pairs, 256 characters (maximum) each. For example, `"note_key": "Beam me up Scotty”`.
</ResponseField>

<ResponseField name="customer_id" type="string">
  Unique identifier of the customer the QR Code is linked with. Know more about to the [Customers API](/docs/api/customers).
</ResponseField>

<ResponseField name="close_by" type="integer">
  UNIX timestamp at which the QR Code is scheduled to be automatically closed. The time must be at least 15 minutes after the current time. The date range can be set to `2147483647` in UNIX timestamp format (equivalent to Tuesday, January 19, 2038 8:44:07 AM GMT+05:30).

  <Warning>
    **Watch Out**

    Any request beyond 2147483647 UNIX timestamp will fail.
  </Warning>
</ResponseField>

<ResponseField name="closed_at" type="integer">
  UNIX timestamp at which the QR Code is automatically closed.
</ResponseField>

<ResponseField name="created_at" type="integer">
  UNIX timestamp at which the QR Code was created.
</ResponseField>

<ResponseField name="close_reason" type="string">
  The reason for the closure of the QR Code. Possible values:

  * `on_demand`: When you close the QR Code using the APIs or the Dashboard.
  * `paid`: If the QR Code is created with the `usage=single_payment` parameter, the QR Code closes automatically once the customer makes the payment, with the reason marked as `paid`.
  * `null`: The QR Code has not been closed yet.
</ResponseField>
